Name:           ocaml-benchmark
Version:        1.5
Release:        4%{?dist}
Summary:        Benchmarking module for OCaml

License:        LGPLv3+ with exceptions
URL:            http://ocaml-benchmark.forge.ocamlcore.org/
Source0:        https://github.com/Chris00/ocaml-benchmark/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  ocaml
BuildRequires:  ocaml-findlib
BuildRequires:  jbuilder
BuildRequires:  opam-installer

%description
Benchmark provides functions to measure and compare the run-time of functions.
It is inspired by the Perl module of the same name.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}


%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.


%prep
%setup -q -n %{name}-%{version}


%build
jbuilder build @install --profile release


%install
jbuilder install --destdir="%{buildroot}" --libdir="%{_libdir}/ocaml" --verbose

# Makes *.cmxs executable such that they will be stripped.
find %{buildroot} -name '*.cmxs' -exec chmod 0755 {} \;

# Remove /usr/doc, we will install it using %%doc directives.
rm -r %{buildroot}$DESTDIR/usr/doc


%check
jbuilder runtest --profile release


%files
%doc README.md CHANGES.md
%license LICENSE.md
%{_libdir}/ocaml/benchmark
%ifarch %{ocaml_native_compiler}
%exclude %{_libdir}/ocaml/benchmark/*.a
%exclude %{_libdir}/ocaml/benchmark/*.cmxa
%exclude %{_libdir}/ocaml/benchmark/*.cmx
%endif
%exclude %{_libdir}/ocaml/benchmark/*.mli


%files devel
%doc README.md CHANGES.md
%license LICENSE.md
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/benchmark/*.a
%{_libdir}/ocaml/benchmark/*.cmxa
%{_libdir}/ocaml/benchmark/*.cmx
%endif
%{_libdir}/ocaml/benchmark/*.mli


%changelog
* Mon Apr 29 2019 Richard W.M. Jones <rjones@redhat.com> - 1.5-4
- OCaml 4.08.0 (beta 3) rebuild.
- Set --profile release to disable warn-error.
- Various jbuilder command line fixes.

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri May 18 2018 Andy Li <andy@onthewings.net> - 1.5-1
- New upstream release (RHBZ#1579582).
- Update build commands to use jbuilder.
- Enable debug package.

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Dec 02 2017 Richard W.M. Jones <rjones@redhat.com> - 1.4-2
- OCaml 4.06.0 rebuild.

* Mon Nov 20 2017 Andy Li <andy@onthewings.net> - 1.4-1
- Initial RPM release.
